curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/jobs \
--header 'x-api-key: <api-key>' \
--header 'x-selected-account-id: <api-key>'import requests
url = "https://api.example.com/v1/projects/{project_id}/jobs"
headers = {
"x-api-key": "<api-key>",
"x-selected-account-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-selected-account-id': '<api-key>'}
};
fetch('https://api.example.com/v1/projects/{project_id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"project_id": "<string>",
"operation": "parse",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"object": "job",
"source_id": "<string>",
"correlation_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"result": {},
"progress": {
"total": 123,
"succeeded": 123,
"failed": 123,
"cancelled": 123,
"pending": 123,
"child_jobs": [
{
"source_document_id": "<string>",
"job_id": "<string>",
"status": "pending",
"parse_result_id": "<string>",
"error": "<string>"
}
]
},
"error": "<string>",
"history": [
{
"step": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"status": "<string>",
"details": {}
}
]
}
],
"total_count": 123,
"next_token": "<string>",
"prev_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Jobs
List all jobs for a project with token-based pagination and filtering.
Args: project_id: Project ID that the jobs belong to pagination_params: Pagination parameters (page_size, continuation_token, sort_by, sort_order) filter_params: Filter parameters (ids, created_at, completed_at, status, operation)
Returns: PaginatedItems or list of JobEntity instances
Raises: HTTPException: If project not found
Authorizations
API key for authentication
Selected Account ID
Path Parameters
Query Parameters
Filter by job IDs
Filter by creation time (start)
Filter by creation time (end)
Filter by completion time (start)
Filter by completion time (end)
Filter by job status Enum for job status values.
pending, running, succeeded, partially_succeeded, failed, cancelled Filter by job operation type Enum for job operation values.
parse, batch_parse, extract, research, vector_store, chunk, summarization, create_index, update_index Number of items per page
1 <= x <= 100Field to sort by
Sort order (asc or desc) Enum for project sort fields. Note that only non-nullable fields can be sorted by (for details, see: https://github.com/djrobstep/sqlakeyset?tab=readme-ov-file#limitations ).
asc, desc Pagination token

